## cross-toolchain-base-mipsen 24

=== debian/changelog ===
cross-toolchain-base-mipsen (24) unstable; urgency=medium

  * Rebase cross-toolchain-base 66
    - Build using glibc 2.36-8.
    - Build using binutils 2.40-2.
    - Build using linux 6.1.4.
    - Build using gcc 12.2.0-14.
  * Build-Dep on linux-source metapackage. (Closes: #1030568)

 -- YunQiang Su <syq@debian.org>  Mon, 06 Feb 2023 14:45:10 +0800

cross-toolchain-base-mipsen (23) unstable; urgency=medium

  * Rebase cross-toolchain-base 65
    - Build using glibc 2.36-7.
    - Build using linux 6.0.12.
    - Add new build dependencies for binutils.
    - Add build dependency on dpkg (>= 1.21.17).

 -- YunQiang Su <syq@debian.org>  Mon, 09 Jan 2023 12:53:02 +0800

cross-toolchain-base-mipsen (22) unstable; urgency=medium

  * Rebase cross-toolchain-base (62).
    - build with glibc 2.36 and linux 6.0.

 -- YunQiang Su <syq@debian.org>  Mon, 05 Dec 2022 15:15:59 +0800
