## cross-toolchain-base-mipsen 24ubuntu1

=== debian/changelog ===
cross-toolchain-base-mipsen (24ubuntu1) lunar; urgency=medium

  * Build using glibc 2.37-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Feb 2023 15:06:53 +0100
