## cross-toolchain-base-mipsen 24ubuntu2

=== debian/changelog ===
cross-toolchain-base-mipsen (24ubuntu2) lunar; urgency=medium

  * Update linux version number.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Feb 2023 19:22:57 +0100
