=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   binutils-source (>= 2.39-1~),
   glibc-source (>= 2.37-0~),
   gcc-12-source (>= 12.2.0-2~),
-  linux-source (>= 5.19.0), linux-libc-dev (>= 5.19.0),
+  linux-source (>= 6.1.0), linux-libc-dev (>= 6.1.0),
   autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper-compat (= 13),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
