=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
   MIN_VER_GLIBC	:= 2.37-0~
-  MIN_VER_LINUX	:= 5.19.0
+  MIN_VER_LINUX	:= 6.1.0
   MIN_VER_GCC		:= 12.2.0-2~
   MIN_VER_BINUTILS	:= 2.39-1~
   VER_GCC_BASE		:= 12
@@ -143,7 +143,7 @@
 
 $(stamp)init-linux:
 	@echo START $@
-	rm -rf linux-source-[45].*
+	rm -rf linux-source-[456].*
 	$(call unpack_tarball, $(firstword $(wildcard /usr/src/linux-source-$(VER_LINUX).tar.* /usr/src/linux-source-$(VER_LINUX)/linux-source-$(VER_LINUX).tar.*)))
 	touch $@
