## cross-toolchain-base-mipsen 24ubuntu3

=== debian/changelog ===
cross-toolchain-base-mipsen (24ubuntu3) mantic; urgency=medium

  * Build using linux 6.3.0.
  * Build using glibc 2.38-1ubuntu2.
  * Build using binutils 2.41-4.
  * Build using gcc 13.2.0-1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Aug 2023 08:25:49 +0200
