=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Standards-Version: 4.6.1
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.21.17), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.39-1~),
-  glibc-source (>= 2.37-0~),
-  gcc-12-source (>= 12.2.0-2~),
-  linux-source (>= 6.1.0), linux-libc-dev (>= 6.1.0),
+  binutils-source (>= 2.41-4~),
+  glibc-source (>= 2.38-0~),
+  gcc-13-source (>= 13.2.0-1~),
+  linux-source (>= 6.3.0), linux-libc-dev (>= 6.3.0),
   autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper-compat (= 13),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
