=== debian/rules ===
--- 
+++ 
@@ -70,11 +70,11 @@
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.37-0~
-  MIN_VER_LINUX	:= 6.1.0
-  MIN_VER_GCC		:= 12.2.0-2~
-  MIN_VER_BINUTILS	:= 2.39-1~
-  VER_GCC_BASE		:= 12
+  MIN_VER_GLIBC	:= 2.38-0~
+  MIN_VER_LINUX	:= 6.3.0
+  MIN_VER_GCC		:= 13.2.0-1~
+  MIN_VER_BINUTILS	:= 2.41-4~
+  VER_GCC_BASE		:= 13
   libgcc_base		:= gcc-s
 endif
 ifeq ($(vendor),Ubuntu)
