## cross-toolchain-base-mipsen 27ubuntu4

=== debian/changelog ===
cross-toolchain-base-mipsen (27ubuntu4) noble; urgency=medium

  * Fix linker location for mips* o32 multilibs.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 21:33:22 +0200

cross-toolchain-base-mipsen (27ubuntu3) noble; urgency=medium

  * Build using glibc 2.39-0ubuntu8.
  * Build using linux 6.8.0.
  * Build using gcc 12.3.0-23.
  * Build using binutils 2.42-4.
  * Define _DISTRO_EVADE_TIME_BITS for the build, not setting _TIME_BITS
    and _FILE_OFFSET_BITS in the compiler by default.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Apr 2024 16:40:58 +0200

cross-toolchain-base-mipsen (27ubuntu2) noble; urgency=medium

  * Build using glibc 2.38.90.
  * Build using linux 6.6.0.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Feb 2024 10:56:51 +0100

cross-toolchain-base-mipsen (27ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Update linux version number.
  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2024 15:20:03 +0100

cross-toolchain-base-mipsen (27) unstable; urgency=medium

  * Build using linux 6.6.11-1.
  * Build using binutils 2.41.90.20240115-1.
  * Build using gcc 12.3.0-13.
  * Build using glibc 2.37-13. 

 -- YunQiang Su <syq@debian.org>  Fri, 19 Jan 2024 19:51:10 +0800

cross-toolchain-base-mipsen (26) unstable; urgency=medium

  * d/rules: remove linux source, support 6.0+.
    Closes: #1042033

 -- YunQiang Su <syq@debian.org>  Tue, 15 Aug 2023 15:39:02 +0800

cross-toolchain-base-mipsen (25) unstable; urgency=medium

  * Rebase cross-toolchain-base 68.
    - Build using binutils 2.41-4.
    - Build using linux 6.4.4.
    - Fix some lintian warnings.
    - Bump standards version.

 -- YunQiang Su <syq@debian.org>  Tue, 15 Aug 2023 15:21:47 +0800
