=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>, YunQiang Su <syq@debian.org>
 Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base
 Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.21.17), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.41-4~),
-  glibc-source (>= 2.38-0~),
-  gcc-13-source (>= 13.2.0-1~),
-  linux-source (>= 6.3.0), linux-libc-dev (>= 6.3.0),
+  binutils-source (>= 2.42-4~),
+  glibc-source (>= 2.39-0ubuntu7~),
+  gcc-13-source (>= 13.2.0-23~), g++-13 (>= 13.2.0-23~),
+  linux-source-6.8.0 (>= 6.8.0), linux-libc-dev (>= 6.8.0),
   autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper-compat (= 13),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
