=== debian/rules ===
--- 
+++ 
@@ -45,10 +45,10 @@
 endif
 
 ifeq ($(DEB_NAME_ACT),cross-toolchain-base)
-  CROSS_ARCHS	?= amd64 i386 s390x ppc64el arm64 armhf armel \
+  CROSS_ARCHS	?= amd64 i386 s390x ppc64el arm64 armhf armel riscv64 \
 			$(if $(filter $(vendor), Ubuntu), powerpc)
 else ifeq ($(DEB_NAME_ACT),cross-toolchain-base-ports)
-  CROSS_ARCHS  ?= alpha arc hppa m68k ppc64 riscv64 sh4 sparc64 x32 \
+  CROSS_ARCHS  ?= alpha arc hppa loong64 m68k ppc64 sh4 sparc64 x32 \
 			$(if $(filter $(vendor), Ubuntu),, powerpc)
 else # -mipsen
   CROSS_ARCHS  ?= mips mipsel mips64el mips64 mipsn32 mipsn32el \
@@ -61,19 +61,19 @@
 CROSS_GNU_TYPE   = $(call _gnu_type,${CROSS_ARCH})
 CROSS_PKG_GNU_TYPE = $(subst _,-,$(call _gnu_type,${CROSS_ARCH}))
 
-MIN_VER_GLIBC		:= 2.36-8~
-MIN_VER_LINUX		:= 6.1.4
-MIN_VER_GCC		:= 12.2.0-14~
-MIN_VER_BINUTILS	:= 2.40-2~
+MIN_VER_GLIBC		:= 2.37-3~
+MIN_VER_LINUX		:= 6.5.8
+MIN_VER_GCC		:= 12.3.0-11~
+MIN_VER_BINUTILS	:= 2.41-6~
 VER_GCC_BASE		:= 12
 libgcc_base		:= gcc-s
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.38-0~
-  MIN_VER_LINUX	:= 6.3.0
-  MIN_VER_GCC		:= 13.2.0-1~
-  MIN_VER_BINUTILS	:= 2.41-4~
+  MIN_VER_GLIBC	:= 2.39-0ubuntu7~
+  MIN_VER_LINUX	:= 6.8.0
+  MIN_VER_GCC		:= 13.2.0-23~
+  MIN_VER_BINUTILS	:= 2.42-4~
   VER_GCC_BASE		:= 13
   libgcc_base		:= gcc-s
 endif
@@ -88,7 +88,7 @@
 VER_BINUTILS     := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-'|cut -d '.' -f1-3)
 PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-')
 DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog)
-VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | cut -f 1 -d '-')
+VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | sed 's/-[^-]*$$//')
 DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog)
 
 LINUX_BUILT_USING := linux (= $(shell echo $(DEB_VER_LINUX) | sed 's/+.*$$//'))
@@ -143,7 +143,7 @@
 
 $(stamp)init-linux:
 	@echo START $@
-	rm -rf linux-source-[456].*
+	rm -rf linux-source-[45].*
 	$(call unpack_tarball, $(firstword $(wildcard /usr/src/linux-source-$(VER_LINUX).tar.* /usr/src/linux-source-$(VER_LINUX)/linux-source-$(VER_LINUX).tar.*)))
 	touch $@
 
@@ -169,8 +169,10 @@
 	rm -f `find debian/$(p_lld)/usr/$(CROSS_GNU_TYPE) -name .install`
 	rm -f `find debian/$(p_lld)/usr/$(CROSS_GNU_TYPE) -name ..install.cmd`
 
-	echo "$(p_lld) binary: non-standard-dir-in-usr" \
-	  >> debian/$(p_lld)/usr/share/lintian/overrides/linux-libc-dev-${CROSS_ARCH}-cross
+	( \
+	  echo "$(p_lld) binary: non-standard-dir-in-usr"; \
+	  echo "$(p_lld) binary: wrong-name-for-changelog-of-native-package" \
+	) >> debian/$(p_lld)/usr/share/lintian/overrides/linux-libc-dev-${CROSS_ARCH}-cross
 
 	cp -p /usr/share/doc/linux-source-$(VER_LINUX)/copyright \
 	  debian/$(p_lld)/usr/share/doc/$(p_lld)/.
@@ -192,6 +194,3 @@
 	fi; \
 	rm -rf .pc
 	cd binutils-${VER_BINUTILS} ;\
-	  env -i CROSS_ARCHS="$(CROSS_ARCHS)" PATH="$(PATH)" debian/rules stamps/control
-endef
-
