## cross-toolchain-base-mipsen 29

=== debian/changelog ===
cross-toolchain-base-mipsen (29) unstable; urgency=medium

  * Rebase cross-toolchain-base 79.
    - Build using glibc 2.39-4.
    - Build using linux 6.9.9.
    - Build using gcc 13.3.0-3.
    - Drop build dependency on autogen. See: #1076255.

 -- YunQiang Su <syq@debian.org>  Wed, 31 Jul 2024 17:22:16 +0800

cross-toolchain-base-mipsen (28) unstable; urgency=medium

  * Rebase cross-toolchain-base 69.
    - Build using binutils 2.42-4
    - Build using 2.38-11
    - Build using linux 6.8.11-1
    - Build using gcc-13 13.2.0-25

 -- YunQiang Su <syq@debian.org>  Sun, 26 May 2024 23:40:24 +0800
