=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.21.17), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.42-4~),
-  glibc-source (>= 2.39-0ubuntu7~),
-  gcc-13-source (>= 13.2.0-23~), g++-13 (>= 13.2.0-23~),
-  linux-source-6.8.0 (>= 6.8.0), linux-libc-dev (>= 6.8.0),
-  autoconf (>= 2.69), autoconf2.69, autogen,
+  glibc-source (>= 2.39-4~),
+  gcc-13-source (>= 13.3.0-3~), g++-13 (>= 13.3.0-3~),
+  linux-source-6.9 (>= 6.9.9), linux-libc-dev (>= 6.9.9),
+  autoconf (>= 2.69), autoconf2.69,
   automake, bison (>= 1:2.3), chrpath, debhelper-compat (= 13),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
   dwz, debugedit (>= 4.16), gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
@@ -27,7 +27,7 @@
   libjansson-dev, pkg-config,
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
   binutils-mips-linux-gnu [!mips], binutils-mipsel-linux-gnu [!mipsel], binutils-mips64el-linux-gnuabi64 [!mips64el], binutils-mips64-linux-gnuabi64 [!mips64], binutils-mips64-linux-gnuabin32 [!mipsn32], binutils-mips64el-linux-gnuabin32 [!mipsn32el], binutils-mipsisa32r6-linux-gnu [!mipsr6], binutils-mipsisa32r6el-linux-gnu [!mipsr6el], binutils-mipsisa64r6-linux-gnuabin32 [!mipsn32r6], binutils-mipsisa64r6el-linux-gnuabin32 [!mipsn32r6el], binutils-mipsisa64r6-linux-gnuabi64 [!mips64r6], binutils-mipsisa64r6el-linux-gnuabi64 [!mips64r6el],
-  libc6-mips-cross, linux-libc-dev-mips-cross, libc6-mipsel-cross, linux-libc-dev-mipsel-cross, libc6-mips64el-cross, linux-libc-dev-mips64el-cross, libc6-mips64-cross, linux-libc-dev-mips64-cross, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
+  libc6-mips-cross, libc6-mipsel-cross, libc6-mips64el-cross, libc6-mips64-cross, libc6-mipsn32-cross, libc6-mipsn32el-cross, libc6-mipsr6-cross, libc6-mipsr6el-cross, libc6-mipsn32r6-cross, libc6-mipsn32r6el-cross, libc6-mips64r6-cross, libc6-mips64r6el-cross,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
 
 Package: linux-libc-dev-mips-cross
@@ -247,3 +247,15 @@
 Conflicts: binutils-mips64el-cross (<< 2.20.1-1), binutils-gold-mips64el-cross (<< 2.20.1-11)
 Built-Using: ${bu:glibc}
 Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
+Package: libc6-mips64r6-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
