=== debian/rules ===
--- 
+++ 
@@ -61,18 +61,31 @@
 CROSS_GNU_TYPE   = $(call _gnu_type,${CROSS_ARCH})
 CROSS_PKG_GNU_TYPE = $(subst _,-,$(call _gnu_type,${CROSS_ARCH}))
 
-MIN_VER_GLIBC		:= 2.37-3~
-MIN_VER_LINUX		:= 6.5.8
-MIN_VER_GCC		:= 12.3.0-11~
-MIN_VER_BINUTILS	:= 2.41-6~
-VER_GCC_BASE		:= 12
+# package metadata information
+ifeq (,$(ELF_PACKAGE_METADATA))
+  ELF_PACKAGE_METADATA := $(subst $(space),,{ \
+	"type":"deb", \
+	"os":"$(shell awk -F= '/^ID=/ {print $$2}' /etc/os-release)", \
+	"name":"$(DEB_NAME_ACT)", \
+	"version":"$(DEB_SVER_ACT)", \
+	"architecture":"$(HOST_ARCH)" \
+	$(if $(DEB_BUILD_DEBUG_INFO_URL),$(,)"debugInfoUrl":"$(DEB_BUILD_DEBUG_INFO_URL)") \
+    })
+  export ELF_PACKAGE_METADATA
+endif
+
+MIN_VER_GLIBC		:= 2.39-4~
+MIN_VER_LINUX		:= 6.9.9
+MIN_VER_GCC		:= 13.3.0-3~
+MIN_VER_BINUTILS	:= 2.42-4~
+VER_GCC_BASE		:= 13
 libgcc_base		:= gcc-s
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.39-0ubuntu7~
+  MIN_VER_GLIBC	:= 2.39-0~
   MIN_VER_LINUX	:= 6.8.0
-  MIN_VER_GCC		:= 13.2.0-23~
+  MIN_VER_GCC		:= 13.3.0-3~
   MIN_VER_BINUTILS	:= 2.42-4~
   VER_GCC_BASE		:= 13
   libgcc_base		:= gcc-s
@@ -88,7 +101,7 @@
 VER_BINUTILS     := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-'|cut -d '.' -f1-3)
 PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-')
 DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog)
-VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | sed 's/-[^-]*$$//')
+VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | cut -f 1 -d '-')
 DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog)
 
 LINUX_BUILT_USING := linux (= $(shell echo $(DEB_VER_LINUX) | sed 's/+.*$$//'))
@@ -111,6 +124,7 @@
 # FIXME: No conflict for the host == cross case ...
 BINUTILS_BUILD_CONFLICTS = $(foreach a,$(CROSS_ARCHS),binutils-$(subst _,-,$(call _gnu_type,$(a))) [!$(a)]$(,))
 GLIBC_BUILD_CONFLICTS = $(foreach a,$(CROSS_ARCHS),libc6-$(a)-cross$(,) linux-libc-dev-$(a)-cross$(,))
+GLIBC_BUILD_CONFLICTS = $(foreach a,$(CROSS_ARCHS),libc6-$(a)-cross$(,))
 
 # taken from gcc packaging
 define unpack_tarball
@@ -118,6 +132,7 @@
 endef
 
 info:
+	@echo 'Package metadata:         $(ELF_PACKAGE_METADATA)'
 	@echo "Binutils version:         ${VER_BINUTILS}	${DEB_VER_BINUTILS}	${PKG_VER_BINUTILS}"
 	@echo "GCC version:              ${VER_GCC}       	${DEB_VER_GCC}          ${VER_GCC_BASE}"
 	@echo "Glibc version:            ${VER_GLIBC}  		${DEB_VER_GLIBC}"
@@ -143,7 +158,7 @@
 
 $(stamp)init-linux:
 	@echo START $@
-	rm -rf linux-source-[45].*
+	rm -rf linux-source-[45678].*
 	$(call unpack_tarball, $(firstword $(wildcard /usr/src/linux-source-$(VER_LINUX).tar.* /usr/src/linux-source-$(VER_LINUX)/linux-source-$(VER_LINUX).tar.*)))
 	touch $@
 
@@ -179,18 +194,3 @@
 	zcat /usr/share/doc/linux-source-$(VER_LINUX)/changelog.Debian.gz \
 	  > debian/$(p_lld)/usr/share/doc/$(p_lld)/changelog.Debian.linux
 	gzip -9n debian/$(p_lld)/usr/share/doc/$(p_lld)/changelog.Debian.linux
-	cp debian/changelog debian/$(p_lld)/usr/share/doc/$(p_lld)/changelog.Debian
-	gzip -9n debian/$(p_lld)/usr/share/doc/$(p_lld)/changelog.Debian
-
-	touch $@
-
-define init_binutils
-	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
-	set -e; \
-	cd binutils-${VER_BINUTILS} ;\
-	cp -a ${BINUTILS_DIR}/debian/ . ;\
-	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
-	  QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt --quiltrc /dev/null  push -a; \
-	fi; \
-	rm -rf .pc
-	cd binutils-${VER_BINUTILS} ;\
