## cross-toolchain-base-mipsen 29ubuntu1

=== debian/changelog ===
cross-toolchain-base-mipsen (29ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Update linux version number.
    - Fix linker location for mips* o32 multilibs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Aug 2024 06:35:21 +0200
