=== debian/rules ===
--- 
+++ 
@@ -74,17 +74,17 @@
   export ELF_PACKAGE_METADATA
 endif
 
-MIN_VER_GLIBC		:= 2.39-4~
-MIN_VER_LINUX		:= 6.9.9
-MIN_VER_GCC		:= 13.3.0-3~
-MIN_VER_BINUTILS	:= 2.42-4~
+MIN_VER_GLIBC		:= 2.37-3~
+MIN_VER_LINUX		:= 6.5.8
+MIN_VER_GCC		:= 12.3.0-11~
+MIN_VER_BINUTILS	:= 2.41-6~
 VER_GCC_BASE		:= 13
 libgcc_base		:= gcc-s
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
   MIN_VER_GLIBC	:= 2.39-0~
-  MIN_VER_LINUX	:= 6.8.0
+  MIN_VER_LINUX	:= 6.10.0
   MIN_VER_GCC		:= 13.3.0-3~
   MIN_VER_BINUTILS	:= 2.42-4~
   VER_GCC_BASE		:= 13
@@ -101,7 +101,7 @@
 VER_BINUTILS     := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-'|cut -d '.' -f1-3)
 PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-')
 DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog)
-VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | cut -f 1 -d '-')
+VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | sed 's/-[^-]*$$//')
 DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog)
 
 LINUX_BUILT_USING := linux (= $(shell echo $(DEB_VER_LINUX) | sed 's/+.*$$//'))
@@ -158,7 +158,7 @@
 
 $(stamp)init-linux:
 	@echo START $@
-	rm -rf linux-source-[45678].*
+	rm -rf linux-source-[45].*
 	$(call unpack_tarball, $(firstword $(wildcard /usr/src/linux-source-$(VER_LINUX).tar.* /usr/src/linux-source-$(VER_LINUX)/linux-source-$(VER_LINUX).tar.*)))
 	touch $@
