## cross-toolchain-base-mipsen 29ubuntu2

=== debian/changelog ===
cross-toolchain-base-mipsen (29ubuntu2) oracular; urgency=medium

  * Build using glibc 2.40-1ubuntu1.
  * Build using gcc 14.1.0-1.
  * Build using binutils 2.43-1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2024 06:46:48 +0200
