=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 Standards-Version: 4.6.2
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.21.17), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.42-4~),
-  glibc-source (>= 2.39-0~),
-  gcc-13-source (>= 13.3.0-3~), g++-13 (>= 13.3.0-3~),
+  binutils-source (>= 2.43-1~),
+  glibc-source (>= 2.40-1~),
+  gcc-14-source (>= 14.1.0-1~), g++-14 (>= 14.1.0-1~),
   linux-source-6.10.0 (>= 6.10.0), linux-libc-dev (>= 6.10.0),
   autoconf (>= 2.69), autoconf2.69,
   automake, bison (>= 1:2.3), chrpath, debhelper-compat (= 13),
