=== debian/rules ===
--- 
+++ 
@@ -83,11 +83,11 @@
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.39-0~
+  MIN_VER_GLIBC	:= 2.40-1~
   MIN_VER_LINUX	:= 6.10.0
-  MIN_VER_GCC		:= 13.3.0-3~
-  MIN_VER_BINUTILS	:= 2.42-4~
-  VER_GCC_BASE		:= 13
+  MIN_VER_GCC		:= 14.1.0-1~
+  MIN_VER_BINUTILS	:= 2.43-1~
+  VER_GCC_BASE		:= 14
   libgcc_base		:= gcc-s
 endif
 ifeq ($(vendor),Ubuntu)
