## cross-toolchain-base-mipsen 30ubuntu2

=== debian/changelog ===
cross-toolchain-base-mipsen (30ubuntu2) oracular; urgency=medium

  * Build using glibc 2.40-1ubuntu3.
  * Build using gcc 14.2.0-4ubuntu2.
  * Build using binutils 2.43.1-4ubuntu1.
  * Build using linux 6.11.0.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Sep 2024 12:55:22 +0200

cross-toolchain-base-mipsen (30) unstable; urgency=medium

  * Fix dpkg-cross:
    libc6-mips32 has no /usr/lib/ld.so.1 or /lib/ld.so.1 now.
    It is a symbol link created by postinst script now.
    Let's create /usr/<triple>/lib/ld.so.1 with dpkg-cross now.

 -- YunQiang Su <syq@debian.org>  Thu, 08 Aug 2024 15:07:44 +0800
