## cross-toolchain-base-mipsen 30ubuntu3

=== debian/changelog ===
cross-toolchain-base-mipsen (30ubuntu3) oracular; urgency=medium

  * Build-depend on default-jdk-headless for now.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Sep 2024 11:12:47 +0200
