=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.6.2
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.21.17), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.43.1-1~),
+  binutils-source (>= 2.43.1-1~), default-jdk-headless,
   glibc-source (>= 2.40-1~),
   gcc-14-source (>= 14.2.0-4~), g++-14 (>= 14.2.0-4~),
   linux-source-6.11.0 (>= 6.11.0), linux-libc-dev (>= 6.11.0),
@@ -258,4 +258,3 @@
 Section: libs
 Depends: ${misc:Depends}
 Built-Using: ${bu:glibc}
-Description: GNU C Library: Shared libraries (for cross-compiling)
